Received Warning Message: New Codebase version detected. You might want to visit upgrade screen to upgrade the database.

When I click on the link it takes me to another error message:

An error has occurred.
0 <div id="crm-container" class="crm-container" lang="en" xml:lang="en">
<style type="text/css" media="screen">
@import url(/administrator/components/com_civicrm/civicrm/css/civicrm.css);
@import url(/administrator/components/com_civicrm/civicrm/bower_components/jquery-ui/themes/smoothness/jquery-ui.min.css);
</style>
<div class="messages status no-popup">
<div class="icon red-icon ui-icon-alert"></div>
<span class="status-fatal">Sorry but we are not able to provide this at the moment.</span>
<div class="crm-section crm-error-message">CiviCRM 4.6.4 requires MySQL trigger privileges.</div>
<p><a href="https://powerengineering.org/administrator/" title="Main Menu">Return to home page.</a></p> </div> </div>
<script language="JavaScript">function toggle( element ) { 
    var className = element.className;
    if ( className == 'crm-accordion-wrapper collapsed crm-fatal-error-details-block') {
        element.className = 'crm-accordion-wrapper crm-fatal-error-details-block'; } else {
        element.className = 'crm-accordion-wrapper collapsed crm-fatal-error-details-block';
    }
} </script></pre>

I contacted my host server and their reply was: "It seems to be an issue with the plugin itself."

Joomla ver: 3.4.1
CiviCRM ver: 4.6.4
mysql: 5.5.43
php: 5.4.39-1

  • 1
    Did you ask your host to ensure you have MySQL trigger privileges? – Coleman Jun 29 '15 at 18:22

As @Coleman already pointed out MySQL trigger privilege is a requirement for CiviCRM to run. So technically your host serveris correct, the message is from the plugin. But it is a requirement for CiviCRM to run, not an issue that needs to be fixed in the code.

Check this page https://docs.civicrm.org/sysadmin/en/latest/requirements/ for the technical requirements for CiviCRM to run, and you might want to point this out to your host server and check if they meet those requirements?

Your Answer

 

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.